package com.huimv.env.service;

import com.alibaba.fastjson.JSONArray;
import com.huimv.common.utils.Result;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
public interface IEnvironmentService {
    /**
     * @Method      : getLastEnvData
     * @Description : 
     * @Params      : [mcid]
     * @Return      : com.huimv.common.utils.Result
     * 
     * @Author      : ZhuoNing
     * @Date        : 2020/12/28       
     * @Time        : 17:25
     */
    Result getLastEnvData(int mcid);

    Result getLastEnvData2(int mcid);

    Result getZsda(int mcid);

    Result getLastEnvByLq(Integer lqid);

    Result getTemperatureOnToday(Integer lqid);

    Result getAmmoniaAndHumidityOnToday(Integer lqid);

    Result getEnvDetails();
}
